<?php 
include("header.php"); // memanggil file header.php
include("koneksi.php"); // memanggil file koneksi.php untuk koneksi ke database
?>
	<div class="container">
		<div class="content">
			<h2>Data Peminatan</h2>
			<hr />
			
			<?php
			if(isset($_GET['aksi']) == 'delete'){ // mengkonfirmasi jika 'aksi' bernilai 'delete' merujuk pada baris 97 dibawah
				$id_peminat = $_GET['id_peminat']; // ambil nilai id_peminat
				$cek = mysqli_query($koneksi, "SELECT * FROM peminatan WHERE id_peminat='$id_peminat'"); // query untuk memilih entri dengan id_peminat yang dipilih
				if(mysqli_num_rows($cek) == 0){ // mengecek jika tidak ada entri id_peminat yang dipilih
					echo '<div class="alert alert-info alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Data tidak ditemukan.</div>'; // maka tampilkan 'Data tidak ditemukan.'
				}else{ // mengecek jika terdapat entri id_peminat yang dipilih
					$delete = mysqli_query($koneksi, "DELETE FROM peminatan WHERE id_peminat='$id_peminat'"); // query untuk menghapus
					if($delete){ // jika query delete berhasil dieksekusi
						echo '<div class="alert alert-primary alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Data berhasil dihapus.</div>'; // maka tampilkan 'Data berhasil dihapus.'
					}else{ // jika query delete gagal dieksekusi
						echo '<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Data gagal dihapus.</div>'; // maka tampilkan 'Data gagal dihapus.'
					}
				}
			}
			?>
			<div class="table-responsive">
				<table class="table table-striped table-hover">
				<tr>
				<th>
			<!-- bagian ini untuk memfilter data berdasarkan kelompok -->
			<form class="form-inline" method="get">
				<div class="form-group">
					<select name="filter" class="form-control" onchange="form.submit()">
						<option value="1">Filter Jalur</option>
						<?php $filter = (isset($_GET['filter']) ? strtolower($_GET['filter']) : NULL);  ?>
						<option value="REGULER" <?php if($filter == 'REGULER'){ echo 'selected'; } ?>>Reguler</option>
						<option value="Mitra Warga" <?php if($filter == 'mitra warga'){ echo 'selected'; } ?>>Mitra Warga</option>
                        <option value="Prestasi" <?php if($filter == 'prestasi'){ echo 'selected'; } ?>>Prestasi</option>
						<option value="Bidikmisi" <?php if($filter == 'bidikmisi'){ echo 'selected'; } ?>>Bidikmisi</option>
						
					</select>
				</div>
			</form> <!-- end filter -->
			</th>
			<th>
			<form class="form-inline" method="get">
				<div class="form-group">
					<select name="filter1" class="form-control" onchange="form.submit()">
						<option value="0">Filter Status</option>
						<?php $filter1 = (isset($_GET['filter1']) ? strtolower($_GET['filter1']) : NULL);  ?>
						<option value="Aktif" <?php if($filter2 == 'aktif'){ echo 'selected'; } ?>>Aktif</option>
						<option value="Dicabut" <?php if($filter2 == 'dicabut'){ echo 'selected'; } ?>>Dicabut</option>
						
					</select>
				</div>
			</form> <!-- end filter -->
			</th>
			<th>
			<form class="form-inline" method="get">
				<div class="form-group">
					<select name="filter2" class="form-control" onchange="form.submit()">
						<option value="0">Filter Janis Kelamin</option>
						<?php $filter2 = (isset($_GET['filter2']) ? strtolower($_GET['filter2']) : NULL);  ?>
						<option value="Laki-Laki" <?php if($filter2 == 'laki-laki'){ echo 'selected'; } ?>>Laki-Laki</option>
						<option value="Perempuan" <?php if($filter2 == 'perempuan'){ echo 'selected'; } ?>>Perempuan</option>
						
					</select>
				</div>
			</form> <!-- end filter -->
			</th>
			
			<th>
			<form class="form-inline" method="get">
				<div class="form-group">
					<select name="filter3" class="form-control" onchange="form.submit()">
						<option value="0">Filter Jursan</option>
						<?php $filter3 = (isset($_GET['filter3']) ? strtolower($_GET['filter3']) : NULL);  ?>
						<option value="Usaha Perjalanan Wisata" <?php if($filter4 == 'usaha perjalanan wisata'){ echo 'selected'; } ?>>Usaha Perjalanan Wisata</option>
						<option value="Multimedia" <?php if($filter4 == 'multimedia'){ echo 'selected'; } ?>>Multimedia</option>
						<option value="Akuntansi Keuangan & Lembaga" <?php if($filter4 == 'akuntansi keuangan & lembaga'){ echo 'selected'; } ?>>Akuntansi Keuangan & Lembaga</option>
						<option value="Otomatisasi & Tatakelola Perkantoran" <?php if($filter4 == 'Otomatisasi & Tatakelola Perkantoran'){ echo 'selected'; } ?>>Otomatisasi & Tatakelola Perkantoran</option>
						<option value="Perhotelan" <?php if($filter4 == 'perhotelan'){ echo 'selected'; } ?>>Perhotelan</option>
						<option value="Bisnis Daring & Pemasaran" <?php if($filter4 == 'bisnis daring & pemasaran'){ echo 'selected'; } ?>>Bisnis Daring & Pemasaran</option>
					</select>
				</div>
			</form> <!-- end filter -->
			</th>
			</tr>
			<br />
			<!-- memulai tabel responsive -->
			<div class="table-responsive">
				<table class="table table-striped table-hover">
					<tr>
						<th>No</th>
						<th>ID Peminatan</th>
						<th>Nama</th>
						<th>Jenis Kelamin</th>
						<th>Pilihan 1</th>
						<th>Pilihan 2</th>
						<th>Jalur</th>
						<th>Status</th>
						<th>Asal Provinsi</th>
						
						
					</tr>
					<?php
					if($filter){
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan WHERE jalur='$filter' ORDER BY jalur DESC, status, nama ASC"); // query jika filter dipilih
					}
					else if($filter1){
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan WHERE status='$filter1' ORDER by status DESC, nama ASC"); // query jika filter dipilih
					}
					else if($filter2){
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan WHERE jk='$filter2' ORDER by jk DESC, nama ASC"); // query jika filter dipilih
					}
					else if($filter3){
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan WHERE pil1='$filter3' ORDER by pil1 DESC, nama ASC"); // query jika filter dipilih
					}
					else {
						$sql = mysqli_query($koneksi, "SELECT * FROM peminatan WHERE status='AKTIF' ORDER BY nama asc, pil1, jalur, status ASC"); // jika tidak ada filter maka tampilkan semua entri
					}
					if(mysqli_num_rows($sql) == 0){ 
						echo '<tr><td colspan="14">Data Tidak Ada.</td></tr>'; // jika tidak ada entri di database maka tampilkan 'Data Tidak Ada.'
					}else{ // jika terdapat entri maka tampilkan datanya
						$no = 1; // mewakili data dari nomor 1
						while($row = mysqli_fetch_assoc($sql)){ // fetch query yang sesuai ke dalam array
							echo '
							<tr>
								<td>'.$no.'</td>
								<td>'.$row['id_peminat'].'</td>
								<td><a href="profile.php?id_peminat='.$row['id_peminat'].'">'.$row['nama'].'</a></td>
								<td>'.$row['jk'].'</td>
								<td>'.$row['pil1'].'</td>
								<td>'.$row['pil2'].'</td>
								<td>'.$row['jalur'].'</td>
								<td>'.$row['status'].'</td>
								<td>'.$row['prov'].'</td>
								
							</tr>
							';
							$no++; // mewakili data kedua dan seterusnya <a href="password.php?id_peminat='.$row['id_peminat'].'" title="Ganti Password" data-toggle="tooltip" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-refresh" aria-hidden="true"></span></a>
						}
					}
					?>
				</table>
			</div> <!-- /.table-responsive -->
		</div> <!-- /.content -->
	</div> <!-- /.container -->
<?php 
include("footer.php"); // memanggil file footer.php
?>